## ejabberd-contrib 0.2018.12.10~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2018.12.10~dfsg0-3) unstable; urgency=medium

  * Build for ejabberd 18.12.1-2

 -- Philipp Huebner <debalance@debian.org>  Fri, 11 Jan 2019 17:35:02 +0100

ejabberd-contrib (0.2018.12.10~dfsg0-2) unstable; urgency=medium

  * Fixed bugs in debian/rules and debian/dh_moduleupdate

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Jan 2019 20:03:47 +0100

ejabberd-contrib (0.2018.12.10~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2018.12.10~dfsg0
  * Improved find regex in debian/rules
  * Build for ejabberd 18.12.1
  * Updated Standards-Version: 4.3.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 01 Jan 2019 23:38:50 +0100

ejabberd-contrib (0.2018.11.07~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2018.11.07~dfsg0
  * Updated debian/README.source

 -- Philipp Huebner <debalance@debian.org>  Thu, 22 Nov 2018 18:09:45 +0100

ejabberd-contrib (0.2018.09.18~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2018.09.18~dfsg0
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 20:19:36 +0200

ejabberd-contrib (0.2018.07.13~dfsg0-1) unstable; urgency=high

  * New upstream version 0.2018.07.13~dfsg0
  * Added debian/upstream/metadata
  * Updated Standards-Version: 4.1.5 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 15 Jul 2018 14:36:30 +0200

ejabberd-contrib (0.2018.04.28~dfsg0-2) unstable; urgency=medium

  * Make binary Depends on ejabberd strictly "="

 -- Philipp Huebner <debalance@debian.org>  Thu, 10 May 2018 22:06:38 +0200

ejabberd-contrib (0.2018.04.28~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2018.04.28~dfsg0
  * Build for ejabberd 18.04

 -- Philipp Huebner <debalance@debian.org>  Thu, 10 May 2018 18:16:51 +0200

ejabberd-contrib (0.2018.04.07~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2018.04.07~dfsg0
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 09 Apr 2018 21:37:33 +0200

ejabberd-contrib (0.2018.03.27~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2018.03.27~dfsg0
  * Build for ejabberd 18.03
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 03 Apr 2018 10:31:39 +0200

ejabberd-contrib (0.2018.02.15~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2018.02.15~dfsg0
  * Several whitespace fixes
  * Use secure copyright format uri in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 04 Mar 2018 18:35:53 +0100

=== debian/control ===
Source: ejabberd-contrib
Section: net
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 11~), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 18.12.1-2~), rebar (>= 2.6.0)
Standards-Version: 4.3.0
Homepage: https://github.com/processone/ejabberd-contrib
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib

Package: ejabberd-contrib
Architecture: all
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ${misc:Depends},
 ejabberd (=${ejabberd}),
 ejabberd-mod-cron,
 ejabberd-mod-log-chat,
 ejabberd-mod-logsession,
 ejabberd-mod-logxml,
 ejabberd-mod-message-log,
 ejabberd-mod-muc-log-http,
 ejabberd-mod-post-log,
 ejabberd-mod-pottymouth,
 ejabberd-mod-rest,
 ejabberd-mod-s2s-log,
 ejabberd-mod-shcommands,
 ejabberd-mod-statsdx,
 ejabberd-mod-webpresence
Description: user-contributed modules for ejabberd (metapackage)
 This package depends on all available modules from ejabberd-contrib,
 but doesn't do or add anything itself.
 .
 This is a pure metapackage.

Package: ejabberd-mod-cron
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: execute scheduled commands
 This module allows advanced ejabberd administrators to schedule commands for
 periodic and automatic execution. Each time a scheduled task finishes its
 execution, a message is printed in the ejabberd log file.

Package: ejabberd-mod-log-chat
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: logs chat messages to text or html
 mod_log_chat is an ejabberd module aimed at logging chat messages in
 text files. mod_log_chat creates one file per couple of chatters and
 per day (it doesn't log muc messages, use mod_muc_log for this).
 .
 It can store messages in plain text or HTML format.

Package: ejabberd-mod-logsession
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: logs session connections to a text file
 This module is intended to log the session connections in a text file.
 Right now it only logs the forbidden connection attempts and the
 failed authentication attempts.
 .
 Each vhost is logged in a different file.

Package: ejabberd-mod-logxml
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: logs XMPP packets to an XML file
 This module sniffs all the XMPP traffic sent and received by ejabberd,
 both internally and externally transmitted. It logs the XMPP packets
 to an XML formatted file. It's possible to filter transmitted packets
 by orientation, stanza and direction. It's possible to configure the
 file rotation rules and intervals.

Package: ejabberd-mod-message-log
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: writes a line for each message to a log file
 This module writes a line for each sent or received message to a log file.
 Each line mentions the sender's JID and the recipient's JID, and also the
 message type (e.g., "normal", "chat", or "groupchat").  Carbon copies are
 marked as such.

Package: ejabberd-mod-muc-log-http
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: serves MUC logs on the web
 This module serves the directory containing MUC logs already configured on
 mod_muc_log. This way there is no need to set up a separate web server to
 allow your users to view the MUC logs.  It is a small modification of
 mod_http_fileserver, customized for log serving.

Package: ejabberd-mod-post-log
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: logs all messages to an HTTP API
 This module implements logging of all messages sent (chat and groupchat) via
 an HTTP API.
 Simply activate the module in ejabberd.yml after installation, see the included
 README.txt for further information.

Package: ejabberd-mod-pottymouth
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: filter for ejabberd messages using blacklists
 The 'mod_pottymouth' ejabberd module aims to fill the void left by 'mod_shit'
 which has disappeared from the net. It allows individual whole words of a
 message to be filtered against a blacklist. It allows multiple blacklists
 sharded by language. To make use of this module the client must add the
 xml:lang attribute to the message xml.

Package: ejabberd-mod-rest
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: HTTP interface to POST arbitrary stanzas to ejabberd
 This is an ejabberd module that adds an HTTP handler that allows HTTP
 clients to literally post arbitrary message stanzas to ejabberd. Those
 stanzas then get shoved through ejabberd's router just like any other
 stanza.
 .
 This module can also be used as a frontend to execute ejabberd commands.

Package: ejabberd-mod-s2s-log
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: logs XMPP s2s connections
 This module can be used to keep a track of other XMPP servers your server has
 been connected with.
 Simply activate the module in ejabberd.yml after installation, see the included
 README.txt for further information.

Package: ejabberd-mod-shcommands
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: execute shell commands via XMPP (dangerous!)
 WARNING: USE THIS MODULE AT YOUR OWN RISK !!!
 This module allows ejabberd administrators to remotely execute shell commands
 which could compromise both the ejabberd server and the whole machine.
 .
 This module provides the ejabberd server administrator a method to remotely
 execute shell commands through the ejabberd server.
 .
 It provides a page in the ejabberd Web Admin which only the administrators of
 the whole server can access.
 .
 Three types of commands are possible:
  * ejabberd_ctl: makes a call to ejabberd_ctl;
  * erlang shell: executes an erlang command;
  * system shell: executes a command on the system shell.
 The result of the execution will be shown.
 .
 In the system shell, only non-interactive commands will work correctly,
 for example this will work:
  ps -all
 Don't use commands that start an interactive mode:
 DON'T TRY THIS: top
 DON'T TRY THIS: vim readme.txt
 .
 This module does not check if the commands are dangerous or problematic,
 so this module is only recommended for experienced ejabberd and Erlang/OTP
 administrators. USE THIS MODULE AT YOUR OWN RISK !!!

Package: ejabberd-mod-statsdx
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: calculates and gathers statistics actively
 This module measures several statistics. It provides a new section in
 ejabberd Web Admin and two ejabberd commands to view the information.
 Simply activate the module in ejabberd.yml after installation, see the included
 README.txt for further information.

Package: ejabberd-mod-webpresence
Architecture: any
Multi-Arch: same
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: allows any local ejabberd user to publish his presence information
 This module allows any local user of the ejabberd server to publish his
 presence information on the web.
 This module is the successor of Igor Goryachev's mod_presence.
 .
 Allowed output methods are:
  * icons (various themes available);
  * status text;
  * raw XML;
  * avatar, stored in the user's vCard.
 .
 No web server, database, additional libraries or programs are required.

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

BIN_PACKAGES=$(shell grep ^Package: debian/control  | sed 's/^Package: //' | grep -v ejabberd-contrib)
EJABBERDDIR=$(shell basename `find /usr/lib -regextype posix-egrep -maxdepth 2 -type d -regex ".*/ejabberd-[0-9.]{5,10}-.*"`)
EJABBERDVER=$(shell dpkg-query --show --showformat '$${Version;-25}' ejabberd)

ejabberd-mod-cron_BUILD_PATH=mod_cron/
ejabberd-mod-log-chat_BUILD_PATH=mod_log_chat/
ejabberd-mod-logsession_BUILD_PATH=mod_logsession/
ejabberd-mod-logxml_BUILD_PATH=mod_logxml/
ejabberd-mod-message-log_BUILD_PATH=mod_message_log/
ejabberd-mod-muc-log-http_BUILD_PATH=mod_muc_log_http/
ejabberd-mod-post-log_BUILD_PATH=mod_post_log/
ejabberd-mod-pottymouth_BUILD_PATH=mod_pottymouth/
ejabberd-mod-rest_BUILD_PATH=mod_rest/
ejabberd-mod-s2s-log_BUILD_PATH=mod_s2s_log/
ejabberd-mod-shcommands_BUILD_PATH=mod_shcommands/
ejabberd-mod-statsdx_BUILD_PATH=mod_statsdx/
ejabberd-mod-webpresence_BUILD_PATH=mod_webpresence/

%:
	dh $@

compile-%:
	mkdir ${$*_BUILD_PATH}ebin
	cd ${$*_BUILD_PATH} && erlc -o ebin -I /usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/include -DLAGER \
		-pa /usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin/ src/*.erl

override_dh_auto_build: $(BIN_PACKAGES:%=compile-%)

module-install-%:
	mkdir -p debian/$*/usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin
	mkdir -p debian/$*/usr/share/doc/$*
	mv -v ${$*_BUILD_PATH}ebin/*.beam debian/$*/usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin/
	debian/dh_moduleupdate $*
	if [ -f ${$*_BUILD_PATH}ChangeLog ]; then cp ${$*_BUILD_PATH}ChangeLog debian/$*/usr/share/doc/$*/changelog; fi
	if [ -d ${$*_BUILD_PATH}conf ];	then cp -a ${$*_BUILD_PATH}conf debian/$*/usr/share/doc/$*/; fi
	if [ -f ${$*_BUILD_PATH}README.* ]; then cp -v ${$*_BUILD_PATH}README.* debian/$*/usr/share/doc/$*/; fi
	if [ -f ${$*_BUILD_PATH}TODO* ]; then cp -v ${$*_BUILD_PATH}TODO* debian/$*/usr/share/doc/$*/; fi

override_dh_auto_install: $(BIN_PACKAGES:%=module-install-%)
	erlang-depends
	dh_auto_install

override_dh_gencontrol:
	echo "ejabberd=$(EJABBERDVER)" >> $(CURDIR)/debian/substvars
	dh_gencontrol -- -T$(CURDIR)/debian/substvars

override_dh_installdeb:
	dh_installdeb
	rm -f debian/ejabberd-contrib/DEBIAN/postinst

override_dh_auto_clean:
	rm -rf */ebin debian/substvars
	dh_auto_clean

## ejabberd-contrib 0.2019.07.17~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2019.07.17~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2019.07.17~dfsg0
  * Updated Build-Depends
  * Refreshed debian/patches/src.includes.patch
  * Updated debhelper compat version: 12
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 16:36:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 11~), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 18.12.1-2~), rebar (>= 2.6.0)
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 12), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 19.05), rebar (>= 2.6.0)
+Standards-Version: 4.4.0
 Homepage: https://github.com/processone/ejabberd-contrib
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib.git
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
-DH_VERBOSE = 1
-
+export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 BIN_PACKAGES=$(shell grep ^Package: debian/control  | sed 's/^Package: //' | grep -v ejabberd-contrib)
 EJABBERDDIR=$(shell basename `find /usr/lib -regextype posix-egrep -maxdepth 2 -type d -regex ".*/ejabberd-[0-9.]{5,10}-.*"`)

## ejabberd-contrib 0.2019.08.19~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2019.08.19~dfsg0-3) unstable; urgency=medium

  * Upload to unstable

 -- Philipp Huebner <debalance@debian.org>  Thu, 29 Aug 2019 19:25:55 +0200

ejabberd-contrib (0.2019.08.19~dfsg0-2) experimental; urgency=medium

  * Packaged additional modules (new binary packages)

 -- Philipp Huebner <debalance@debian.org>  Fri, 23 Aug 2019 23:24:05 +0200

ejabberd-contrib (0.2019.08.19~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2019.08.19~dfsg0
  * Build for ejabberd >= 19.08

 -- Philipp Huebner <debalance@debian.org>  Wed, 21 Aug 2019 20:43:17 +0200

ejabberd-contrib (0.2019.07.17~dfsg0-2) unstable; urgency=medium

  * Build for ejabberd >= 19.05-2~

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 12:56:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 12), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 19.05), rebar (>= 2.6.0)
+Build-Depends: debhelper (>= 12), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 19.08-2~), rebar (>= 2.6.0)
 Standards-Version: 4.4.0
 Homepage: https://github.com/processone/ejabberd-contrib
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib.git
@@ -14,6 +14,8 @@
 Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ${misc:Depends},
  ejabberd (=${ejabberd}),
  ejabberd-mod-cron,
+ ejabberd-mod-default-contacts,
+ ejabberd-mod-default-rooms,
  ejabberd-mod-log-chat,
  ejabberd-mod-logsession,
  ejabberd-mod-logxml,
@@ -41,6 +43,57 @@
  periodic and automatic execution. Each time a scheduled task finishes its
  execution, a message is printed in the ejabberd log file.
 
+Package: ejabberd-mod-default-contacts
+Architecture: any
+Multi-Arch: same
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
+Description: add roster contact(s) upon registration
+ This module allows for specifying one or more contacts that should be
+ added to the user's roster automatically on successful registration
+ (via "mod_register", or, for example, "ejabberdctl register").
+ Note that no presence subscription is performed, and the rosters of
+ the contacts are not  modified.
+
+Package: ejabberd-mod-default-rooms
+Architecture: any
+Multi-Arch: same
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
+Description: add MUC bookmark(s) upon registration
+ This module allows for specifying one or more rooms that should be
+ bookmarked automatically on successful user registration (via
+ "mod_register", or, for example, "ejabberdctl register").
+
+Package: ejabberd-mod-deny-omemo
+Architecture: any
+Multi-Arch: same
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
+Description: prevents OMEMO sessions from being established
+ Unless the configured access rule (called 'omemo' by default) returns
+ 'allow', this module prevents OMEMO sessions from being established.
+ Requests to query the devicelist from other users are rejected.  Requests
+ to publish a devicelist are also rejected, and all OMEMO nodes referenced
+ in that devicelist are removed.  Incoming devicelist updates are silently
+ dropped.  OMEMO-encrypted messages are bounced with an error message.
+
+Package: ejabberd-mod-filter
+Architecture: any
+Multi-Arch: same
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
+Description: allows the admin to specify packet filtering rules using ACL and ACCESS
+ This module allows the admin to specify packet filtering rules using
+ ACL and ACCESS.
+ The configuration of rules is done using ejabberd's ACL and ACCESS,
+ so you should also study the corresponding section of the ejabberd guide.
+
+Package: ejabberd-mod-grafite
+Architecture: any
+Multi-Arch: same
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
+Description: gathers statistics and publishes them via statsd/grafite
+ This module gathers statistics from ejabberd and publishes them via
+ statsd/grafite.
+ Note that statsd/grafite must be set up separately.
+
 Package: ejabberd-mod-log-chat
 Architecture: any
 Multi-Arch: same
@@ -169,6 +222,18 @@
  so this module is only recommended for experienced ejabberd and Erlang/OTP
  administrators. USE THIS MODULE AT YOUR OWN RISK !!!
 
+Package: ejabberd-mod-spam-filter
+Architecture: any
+Multi-Arch: same
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
+Description: filter spam messages based on JID/content
+ This module allows for filtering spam messages and subscription requests
+ received from remote servers based on lists of known spammer JIDs and/or
+ URLs mentioned in spam messages. Traffic classified as spam is rejected
+ with an error (and an [info] message is logged) unless the sender is
+ subscribed to the recipient's presence.  An access rule can be specified
+ to control which recipients are subject to spam filtering
+
 Package: ejabberd-mod-statsdx
 Architecture: any
 Multi-Arch: same

## ejabberd-contrib 0.2020.02.03~dfsg0

=== ejabberd_auth_http/deps/fusco/Makefile ===
.PHONY: all release compile test clean rel doc build-plt dialyzer

PROJECT = fusco

REBAR := ./rebar
DIALYZER = dialyzer

APPS = kernel stdlib sasl inets ssl public_key crypto compiler

all: compile doc

compile:
	$(REBAR) compile

doc:
	$(REBAR) doc

test:	compile
	$(REBAR) eunit ct

release: all dialyze test
	$(REBAR) release

clean:
	$(REBAR) clean

build-plt: compile
	@$(DIALYZER) --build_plt --output_plt .$(PROJECT).plt \
		--apps $(APPS)

dialyzer:
	@$(DIALYZER) --fullpath  --src ./src \
		--plt .$(PROJECT).plt --no_native \
		-Werror_handling  #-Wrace_conditions

=== debian/changelog ===
ejabberd-contrib (0.2020.02.03~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2020.02.03~dfsg0
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no
  * Build for ejabberd 20.01

 -- Philipp Huebner <debalance@debian.org>  Sat, 08 Feb 2020 13:48:17 +0100

ejabberd-contrib (0.2019.11.10~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2019.11.10~dfsg0
  * Build for ejabberd 19.09.1
  * Updated Standards-Version: 4.4.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 12 Nov 2019 14:54:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 12), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 19.08-2~), rebar (>= 2.6.0)
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 20.01~), rebar (>= 2.6.0)
+Standards-Version: 4.5.0
 Homepage: https://github.com/processone/ejabberd-contrib
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib.git
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 EJABBERDVER=$(shell dpkg-query --show --showformat '$${Version;-25}' ejabberd)
 
 ejabberd-mod-cron_BUILD_PATH=mod_cron/
+ejabberd-mod-default-contacts_BUILD_PATH=mod_default_contacts/
+ejabberd-mod-default-rooms_BUILD_PATH=mod_default_rooms/
+ejabberd-mod-deny-omemo_BUILD_PATH=mod_deny_omemo/
+ejabberd-mod-filter_BUILD_PATH=mod_filter/
+ejabberd-mod-grafite_BUILD_PATH=mod_grafite/
 ejabberd-mod-log-chat_BUILD_PATH=mod_log_chat/
 ejabberd-mod-logsession_BUILD_PATH=mod_logsession/
 ejabberd-mod-logxml_BUILD_PATH=mod_logxml/
@@ -19,6 +24,7 @@
 ejabberd-mod-rest_BUILD_PATH=mod_rest/
 ejabberd-mod-s2s-log_BUILD_PATH=mod_s2s_log/
 ejabberd-mod-shcommands_BUILD_PATH=mod_shcommands/
+ejabberd-mod-spam-filter_BUILD_PATH=mod_spam_filter/
 ejabberd-mod-statsdx_BUILD_PATH=mod_statsdx/
 ejabberd-mod-webpresence_BUILD_PATH=mod_webpresence/

## ejabberd-contrib 0.2020.04.28~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2020.04.28~dfsg0-2) unstable; urgency=medium

  * Build for ejabberd 20.07

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Aug 2020 13:58:11 +0200

ejabberd-contrib (0.2020.04.28~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2020.04.28~dfsg0
  * Refreshed patches
  * Build for ejabberd 20.04

 -- Philipp Huebner <debalance@debian.org>  Fri, 01 May 2020 17:57:33 +0200

ejabberd-contrib (0.2020.03.03~dfsg0-3) unstable; urgency=medium

  * Build for ejabberd 20.03

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Apr 2020 11:25:37 +0200

ejabberd-contrib (0.2020.03.03~dfsg0-2) unstable; urgency=medium

  * Build for ejabberd 20.02-2

 -- Philipp Huebner <debalance@debian.org>  Sat, 21 Mar 2020 18:09:12 +0100

ejabberd-contrib (0.2020.03.03~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2020.03.03~dfsg0
  * Build for ejabberd 20.02

 -- Philipp Huebner <debalance@debian.org>  Sat, 21 Mar 2020 15:19:41 +0100

ejabberd-contrib (0.2020.02.03~dfsg0-2) unstable; urgency=high

  * Build for ejabberd 20.01.1

 -- Philipp Huebner <debalance@debian.org>  Fri, 28 Feb 2020 12:30:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 20.01~), rebar (>= 2.6.0)
+Build-Depends: debhelper-compat (= 12), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 20.07), rebar (>= 2.6.0)
 Standards-Version: 4.5.0
 Homepage: https://github.com/processone/ejabberd-contrib
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib.git

## ejabberd-contrib 0.2020.10.21~dfsg0

=== ejabberd_auth_http/deps/cuesport/Makefile ===
.PHONY: all reload compile clean

all: compile

compile: rebar
	./rebar get-deps compile

reload: compile
	zsh -c './reload.erl $$(foreach f (src/*.erl); basename $$f .erl; end)'

rebar:
	wget -c http://cloud.github.com/downloads/basho/rebar/rebar
	chmod +x $@

clean: rebar
	./rebar clean

=== debian/changelog ===
ejabberd-contrib (0.2020.10.21~dfsg0-5) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"
  * Build for 21.01-2~

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 20:29:27 +0100

ejabberd-contrib (0.2020.10.21~dfsg0-4) unstable; urgency=medium

  * Build for ejabberd 21.01
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 20:20:20 +0100

ejabberd-contrib (0.2020.10.21~dfsg0-3) unstable; urgency=medium

  * source-only upload needed to allow migration

 -- Philipp Huebner <debalance@debian.org>  Mon, 11 Jan 2021 19:43:34 +0100

ejabberd-contrib (0.2020.10.21~dfsg0-2) unstable; urgency=medium

  * Improved packages' short descriptions
  * Added ejabberd-mod-irc and ejabberd-mod-isolation

 -- Philipp Huebner <debalance@debian.org>  Sun, 10 Jan 2021 12:44:59 +0100

ejabberd-contrib (0.2020.10.21~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2020.10.21~dfsg0
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated debhelper compat version: 13
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Sat, 26 Dec 2020 17:10:47 +0100

=== debian/control ===
Source: ejabberd-contrib
Section: net
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 21.01-2~), rebar (>= 2.6.0)
Standards-Version: 4.5.1
Homepage: https://github.com/processone/ejabberd-contrib
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib

Package: ejabberd-contrib
Architecture: all
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ${misc:Depends},
 ejabberd (=${ejabberd}),
 ejabberd-mod-cron,
 ejabberd-mod-default-contacts,
 ejabberd-mod-default-rooms,
 ejabberd-mod-deny-omemo,
 ejabberd-mod-filter,
 ejabberd-mod-grafite,
 ejabberd-mod-irc,
 ejabberd-mod-isolation,
 ejabberd-mod-log-chat,
 ejabberd-mod-logsession,
 ejabberd-mod-logxml,
 ejabberd-mod-message-log,
 ejabberd-mod-muc-log-http,
 ejabberd-mod-post-log,
 ejabberd-mod-pottymouth,
 ejabberd-mod-rest,
 ejabberd-mod-s2s-log,
 ejabberd-mod-shcommands,
 ejabberd-mod-spam-filter,
 ejabberd-mod-statsdx,
 ejabberd-mod-webpresence
Description: user-contributed modules for ejabberd (metapackage)
 This package depends on all available modules from ejabberd-contrib,
 but doesn't do or add anything itself.
 .
 This is a pure metapackage.

Package: ejabberd-mod-cron
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to execute scheduled commands
 This module allows advanced ejabberd administrators to schedule commands for
 periodic and automatic execution. Each time a scheduled task finishes its
 execution, a message is printed in the ejabberd log file.

Package: ejabberd-mod-default-contacts
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to add roster contact(s) upon registration
 This module allows for specifying one or more contacts that should be
 added to the user's roster automatically on successful registration
 (via "mod_register", or, for example, "ejabberdctl register").
 Note that no presence subscription is performed, and the rosters of
 the contacts are not  modified.

Package: ejabberd-mod-default-rooms
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to add MUC bookmark(s) upon registration
 This module allows for specifying one or more rooms that should be
 bookmarked automatically on successful user registration (via
 "mod_register", or, for example, "ejabberdctl register").

Package: ejabberd-mod-deny-omemo
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to prevent OMEMO sessions from being established
 Unless the configured access rule (called 'omemo' by default) returns
 'allow', this module prevents OMEMO sessions from being established.
 Requests to query the devicelist from other users are rejected.  Requests
 to publish a devicelist are also rejected, and all OMEMO nodes referenced
 in that devicelist are removed.  Incoming devicelist updates are silently
 dropped.  OMEMO-encrypted messages are bounced with an error message.

Package: ejabberd-mod-filter
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to allow specifying packet filtering rules using ACL and ACCESS
 This module allows the admin to specify packet filtering rules using
 ACL and ACCESS.
 The configuration of rules is done using ejabberd's ACL and ACCESS,
 so you should also study the corresponding section of the ejabberd guide.

Package: ejabberd-mod-grafite
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to gather statistics and publish them via statsd/grafite
 This module gathers statistics from ejabberd and publishes them via
 statsd/grafite.
 Note that statsd/grafite must be set up separately.

Package: ejabberd-mod-irc
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module providing an IRC transport
 This module adds an IRC transport to ejabberd that can be used to join channels
 on IRC servers.
 Note that an IRC server must be provided separately.

Package: ejabberd-mod-isolation
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to block communication of users between different virtual hosts
 This module blocks communication of users between different virtual hosts on
 the same ejabberd instance.
 The module doesn't have any options, it just needs to be enabled.

Package: ejabberd-mod-log-chat
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to log chat messages to text or html
 mod_log_chat is an ejabberd module aimed at logging chat messages in
 text files. mod_log_chat creates one file per couple of chatters and
 per day (it doesn't log muc messages, use mod_muc_log for this).
 .
 It can store messages in plain text or HTML format.

Package: ejabberd-mod-logsession
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to log session connections to a text file
 This module is intended to log the session connections in a text file.
 Right now it only logs the forbidden connection attempts and the
 failed authentication attempts.
 .
 Each vhost is logged in a different file.

Package: ejabberd-mod-logxml
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to log XMPP packets to an XML file
 This module sniffs all the XMPP traffic sent and received by ejabberd,
 both internally and externally transmitted. It logs the XMPP packets
 to an XML formatted file. It's possible to filter transmitted packets
 by orientation, stanza and direction. It's possible to configure the
 file rotation rules and intervals.

Package: ejabberd-mod-message-log
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to write a line for each message to a log file
 This module writes a line for each sent or received message to a log file.
 Each line mentions the sender's JID and the recipient's JID, and also the
 message type (e.g., "normal", "chat", or "groupchat").  Carbon copies are
 marked as such.

Package: ejabberd-mod-muc-log-http
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to serve MUC logs on the web
 This module serves the directory containing MUC logs already configured on
 mod_muc_log. This way there is no need to set up a separate web server to
 allow your users to view the MUC logs.  It is a small modification of
 mod_http_fileserver, customized for log serving.

Package: ejabberd-mod-post-log
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to log all messages to an HTTP API
 This module implements logging of all messages sent (chat and groupchat) via
 an HTTP API.
 Simply activate the module in ejabberd.yml after installation, see the included
 README.txt for further information.

Package: ejabberd-mod-pottymouth
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to filter messages using blacklists
 The 'mod_pottymouth' ejabberd module aims to fill the void left by 'mod_shit'
 which has disappeared from the net. It allows individual whole words of a
 message to be filtered against a blacklist. It allows multiple blacklists
 sharded by language. To make use of this module the client must add the
 xml:lang attribute to the message xml.

Package: ejabberd-mod-rest
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module providing an HTTP REST interface
 This is an ejabberd module that adds an HTTP handler that allows HTTP
 clients to literally post arbitrary message stanzas to ejabberd. Those
 stanzas then get shoved through ejabberd's router just like any other
 stanza.
 .
 This module can also be used as a frontend to execute ejabberd commands.

Package: ejabberd-mod-s2s-log
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to log XMPP s2s connections
 This module can be used to keep a track of other XMPP servers your server has
 been connected with.
 Simply activate the module in ejabberd.yml after installation, see the included
 README.txt for further information.

Package: ejabberd-mod-shcommands
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to execute shell commands via XMPP (dangerous!)
 WARNING: USE THIS MODULE AT YOUR OWN RISK !!!
 This module allows ejabberd administrators to remotely execute shell commands
 which could compromise both the ejabberd server and the whole machine.
 .
 This module provides the ejabberd server administrator a method to remotely
 execute shell commands through the ejabberd server.
 .
 It provides a page in the ejabberd Web Admin which only the administrators of
 the whole server can access.
 .
 Three types of commands are possible:
  * ejabberd_ctl: makes a call to ejabberd_ctl;
  * erlang shell: executes an erlang command;
  * system shell: executes a command on the system shell.
 The result of the execution will be shown.
 .
 In the system shell, only non-interactive commands will work correctly,
 for example this will work:
  ps -all
 Don't use commands that start an interactive mode:
 DON'T TRY THIS: top
 DON'T TRY THIS: vim readme.txt
 .
 This module does not check if the commands are dangerous or problematic,
 so this module is only recommended for experienced ejabberd and Erlang/OTP
 administrators. USE THIS MODULE AT YOUR OWN RISK !!!

Package: ejabberd-mod-spam-filter
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (=${ejabberd}), ${misc:Depends}
Description: ejabberd module to filter spam messages based on JID/content
 This module allows for filtering spam messages and subscription requests
 received from remote servers based on lists of known spammer JIDs and/or
 URLs mentioned in spam messages. Traffic classified as spam is rejected
 with an error (and an [info] message is logged) unless the sender is

## ejabberd-contrib 0.2021.07.07~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2021.07.07~dfsg0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Sep 2021 19:53:37 +0200

ejabberd-contrib (0.2021.07.07~dfsg0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch

  [ Philipp Huebner ]
  * New upstream version 0.2021.07.07~dfsg0
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Refreshed patches
  * Build for ejabberd 21.07

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Sep 2021 20:40:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 21.01-2~), rebar (>= 2.6.0)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 21.07~), rebar
+Standards-Version: 4.6.0
 Homepage: https://github.com/processone/ejabberd-contrib
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib.git
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib

## ejabberd-contrib 0.2021.11.25~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2021.11.25~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2021.11.25~dfsg0
  * Build for ejabberd 21.12

 -- Philipp Huebner <debalance@debian.org>  Mon, 20 Dec 2021 20:44:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 21.07~), rebar
+Build-Depends: debhelper-compat (= 13), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 21.12~), rebar
 Standards-Version: 4.6.0
 Homepage: https://github.com/processone/ejabberd-contrib
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib.git

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 ejabberd-mod-deny-omemo_BUILD_PATH=mod_deny_omemo/
 ejabberd-mod-filter_BUILD_PATH=mod_filter/
 ejabberd-mod-grafite_BUILD_PATH=mod_grafite/
+ejabberd-mod-irc_BUILD_PATH=mod_irc/
+ejabberd-mod-isolation_BUILD_PATH=mod_isolation/
 ejabberd-mod-log-chat_BUILD_PATH=mod_log_chat/
 ejabberd-mod-logsession_BUILD_PATH=mod_logsession/
 ejabberd-mod-logxml_BUILD_PATH=mod_logxml/
